# [−] List of all items

### Structs

- BackwardsCompatibleChainVerifier
- BlockAcceptor
- BlockVerifier
- CanonBlock
- CanonHeader
- CanonTransaction
- ChainAcceptor
- ChainVerifier
- Deployments
- HeaderAcceptor
- HeaderVerifier
- MemoryPoolTransactionAcceptor
- MemoryPoolTransactionVerifier
- TransactionAcceptor
- TransactionVerifier
- bigint::uint::U128
- bigint::uint::U256
- bigint::uint::U512
- compact::Compact
- hash::H160
- hash::H256
- hash::H264
- hash::H32
- hash::H48
- hash::H512
- hash::H520
- hash::H96

### Enums

- Error
- TransactionError
- VerificationLevel
- bigint::uint::FromDecStrErr

### Traits

- Verify
- bigint::uint::Uint

### Functions

- block_reward_satoshi
- is_valid_proof_of_work
- is_valid_proof_of_work_hash
- median_timestamp
- median_timestamp_inclusive
- transaction_sigops
- work_required

### Constants

- constants::BLOCK_MAX_FUTURE
- constants::COINBASE_MATURITY
- constants::DOUBLE_SPACING_SECONDS
- constants::MAX_COINBASE_SIZE
- constants::MAX_TIMESPAN
- constants::MIN_COINBASE_SIZE
- constants::MIN_TIMESPAN
- constants::RETARGETING_FACTOR
- constants::RETARGETING_INTERVAL
- constants::TARGET_SPACING_SECONDS
- constants::TARGET_TIMESPAN_SECONDS

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)